# Use the official Redis image
FROM redis:7.0-alpine

# Copy the Redis configuration file
COPY redis.conf /usr/local/etc/redis/redis.conf

# Copy the entrypoint script
COPY entrypoint.sh /usr/local/bin/entrypoint.sh

# Make the entrypoint script executable
RUN chmod +x /usr/local/bin/entrypoint.sh

# Debugging step: List contents of /usr/local/bin
RUN ls -l /usr/local/bin

# Expose Redis ports
EXPOSE 6379 16379

# Set the entrypoint
ENTRYPOINT ["entrypoint.sh"]
